# -*- coding: utf-8 -*-
"""
(c)2019 ООО "РИПАС-СПБ",
www.ripas.ru
"""
from gui import widgetFromUi
from PythonQt import QtGui
from RoadCentre import plugins

def editSettings():
    PriorityPlugin = plugins.PriorityPlugin
    dlg = widgetFromUi('priority2/priority2setup.ui')
    no_show_text = dlg.findChild('QRadioButton', 'no_show_text')
    show_text_on_sel = dlg.findChild('QRadioButton', 'show_text_on_sel')
    show_text = dlg.findChild('QRadioButton', 'show_text')
    no_show_ems = dlg.findChild('QRadioButton', 'no_show_ems')
    show_ems_on_sel = dlg.findChild('QRadioButton', 'show_ems_on_sel')
    show_ems = dlg.findChild('QRadioButton', 'show_ems')

    no_show_brd_weight = dlg.findChild('QRadioButton', 'no_show_brd_weight')
    show_brd_weight_always = dlg.findChild('QRadioButton', 'show_brd_weight_always')
    show_brd_weight_if_gt1 = dlg.findChild('QRadioButton', 'show_brd_weight_if_gt1')

    no_show_dt_weight = dlg.findChild('QRadioButton', 'no_show_dt_weight')
    show_dt_weight_always = dlg.findChild('QRadioButton', 'show_dt_weight_always')
    show_dt_weight_if_gt0 = dlg.findChild('QRadioButton', 'show_dt_weight_if_gt0')

    show_dt_on_activation = dlg.findChild('QCheckBox', 'show_dt_on_activation')
    show_dt_when_approaching = dlg.findChild('QGroupBox', 'show_dt_when_approaching')
    min_zoom_for_vdt_visible = dlg.findChild('QSpinBox', 'min_zoom_for_vdt_visible')
    board_name_filter = dlg.findChild('QLineEdit', 'board_name_filter')

    if PriorityPlugin.textShowMode == PriorityPlugin.show_selected:
        show_text_on_sel.checked = True
    elif PriorityPlugin.textShowMode == PriorityPlugin.show_always:
        show_text.checked = True
    else:
        no_show_text.checked = True

    if PriorityPlugin.emsShowMode == PriorityPlugin.show_selected:
        show_ems_on_sel.checked = True
    elif PriorityPlugin.emsShowMode == PriorityPlugin.show_always:
        show_ems.checked = True
    else:
        no_show_ems.checked = True

    if PriorityPlugin.brdWeightShowMode == PriorityPlugin.show_weight_if_valid:
        show_brd_weight_if_gt1.checked = True
    elif PriorityPlugin.brdWeightShowMode == PriorityPlugin.show_weight_always:
        show_brd_weight_always.checked = True
    else:
        no_show_brd_weight.checked = True

    if PriorityPlugin.dtWeightShowMode == PriorityPlugin.show_weight_if_valid:
        show_dt_weight_if_gt0.checked = True
    elif PriorityPlugin.dtWeightShowMode == PriorityPlugin.show_weight_always:
        show_dt_weight_always.checked = True
    else:
        no_show_dt_weight.checked = True

    show_dt_on_activation.checked = PriorityPlugin.showDtOnActivation
    show_dt_when_approaching.checked = PriorityPlugin.showDtWhenApproaching
    min_zoom_for_vdt_visible.value = PriorityPlugin.minVisibleZoom
    board_name_filter.text = PriorityPlugin.getVehicleNameFilter()
    if dlg.exec_() != QtGui.QDialog.Accepted:
        return
    PriorityPlugin.textShowMode = PriorityPlugin.show_none
    if show_text_on_sel.checked:
        PriorityPlugin.textShowMode = PriorityPlugin.show_selected
    elif show_text.checked:
        PriorityPlugin.textShowMode = PriorityPlugin.show_always

    PriorityPlugin.emsShowMode = PriorityPlugin.show_none
    if show_ems_on_sel.checked:
        PriorityPlugin.emsShowMode = PriorityPlugin.show_selected
    elif show_ems.checked:
        PriorityPlugin.emsShowMode = PriorityPlugin.show_always

    PriorityPlugin.brdWeightShowMode = PriorityPlugin.show_weight_none
    if show_brd_weight_if_gt1.checked:
        PriorityPlugin.brdWeightShowMode = PriorityPlugin.show_weight_if_valid
    elif show_brd_weight_always.checked:
        PriorityPlugin.brdWeightShowMode = PriorityPlugin.show_weight_always

    PriorityPlugin.dtWeightShowMode = PriorityPlugin.show_weight_none
    if show_dt_weight_if_gt0.checked:
        PriorityPlugin.dtWeightShowMode = PriorityPlugin.show_weight_if_valid
    elif show_dt_weight_always.checked:
        PriorityPlugin.dtWeightShowMode = PriorityPlugin.show_weight_always

    PriorityPlugin.showDtOnActivation = show_dt_on_activation.checked
    PriorityPlugin.showDtWhenApproaching = show_dt_when_approaching.checked
    PriorityPlugin.minVisibleZoom = min_zoom_for_vdt_visible.value
    PriorityPlugin.setVehicleNameFilter(board_name_filter.text)
